Migration guide - CartVariant

Edit on GitHub

Upgrading from version 1.* to version 2.0.0

In this new version of the CartVariant module, we have added support of decimal stock. You can find more details about the changes on the CartVariant module release page.

This release is a part of the Decimal Stock concept migration. When you upgrade this module version, you should also update all other installed modules in your project to use the same concept as well as to avoid inconsistent behavior. For more information, see Decimal Stock Migration Concept.

To upgrade to the new version of the module, do the following:

  1. Upgrade the AvailabilityOfferConnector module to the new version:
composer require spryker/cart-variant: "^2.0.0" --update-with-dependencies
  1. Update the database entity schema for each store in the system:
APPLICATION_STORE=DE console propel:schema:copy
APPLICATION_STORE=US console propel:schema:copy
...

3.Run the database migration:

console propel:install
console transfer:generate

Estimated migration time: 5 min